<template>
    <div class="box-menu-icon">
        <svg class="clickOpen" @click="opened = !opened">
            <use xlink:href="/img/sprite.svg#menu-2"></use>
        </svg>
        <transition name="modal-slide">
            <div class="box-modaOpen" v-if="opened">
                <div class="box-close" @click="opened = false">
                    <svg>
                        <use xlink:href="/img/sprite.svg#cancel-button"></use>
                    </svg>
                </div>
                <p class="text-whiteTitle">{{ promo.name }}</p>
                <p class="text-date">{{ $t('promos.pages.table.posted_at') }}  <span>{{ postedAt }}</span></p>
                <p class="text-partners">{{ $t('promos.pages.table.duration') }} {{ promo.duration_days }} дней</p>
                <p class="text-blue">{{ $t('promos.pages.table.withdraw') }}  $ {{ promo.withdraws | formatAmount }}</p>
                <p class="text-blue">{{ $t('promos.pages.table.cost') }}   $ {{ promo.cost | formatAmount }}</p>
            </div>
        </transition>
    </div>
</template>

<script>
    import currencies from "../../currencies";

	export default {
		name: "PromoDetailsModal",
        props: ['promo'],
        data(){
            return {
                opened: false
            }
        },
		filters: {
			formatAmount(value){
				return currencies.formatAmount(value);
			}
		},
        computed: {
		    postedAt(){
                return this.$date(this.promo.posted_at).format('DD.MM.YYYY');
            },
        },
	}
</script>

<style scoped>
    .box-modaOpen{
        max-height: 300px;
        overflow: hidden;
    }
    .modal-slide-enter-active, .modal-slide-leave-active  {
        transition: max-height 0.8s ease;
    }
    .modal-slide-enter, .modal-slide-leave-to
    {
        max-height: 0px;
    }
</style>
